<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>Generate a System Implementation</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.4  (Linux)">
	<META NAME="CREATED" CONTENT="0;0">
	<META NAME="CHANGEDBY" CONTENT="Vincent MAH&Eacute;">
	<META NAME="CHANGED" CONTENT="20090311;12041000">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Sans L", sans-serif; font-size: 16pt }
		H1.cjk { font-family: "DejaVu LGC Sans"; font-size: 16pt }
		H1.ctl { font-family: "DejaVu LGC Sans"; font-size: 16pt }
	-->
	</STYLE>
</HEAD>
<BODY LANG="fr-FR" DIR="LTR">
<H1 CLASS="western">Generate a System Implementation</H1>
<P>Open a AADL <U><B>model</B></U> file (Rem: it is the one with the
<B>.aaxl</B> extension).</P>
<P>Inside this model, you should see a <I>System Impl</I><SPAN STYLE="font-style: normal">”.</SPAN></P>
<P STYLE="font-style: normal"><IMG SRC="../img/img3.png" NAME="Image4" ALIGN=LEFT WIDTH=238 HEIGHT=437 BORDER=0><BR CLEAR=LEFT><BR><BR>
</P>
<P><SPAN STYLE="font-style: normal">Right-click on it. </SPAN>In the
contextual menu, choose “<I>OSATE</I>” and then “<I>Instantiate
System</I>”:</P>
<P><IMG SRC="../img/img4.png" NAME="Image6" ALIGN=LEFT WIDTH=564 HEIGHT=96 BORDER=0><BR CLEAR=LEFT><BR><BR>
</P>
<P>You should have a new <FONT FACE="Courier, monospace">*_i_instance.aaxl</FONT>
file in the project:</P>
<P><IMG SRC="../img/img5.png" NAME="Image5" ALIGN=LEFT WIDTH=313 HEIGHT=222 BORDER=0><BR CLEAR=LEFT><BR><BR>
</P>
<P><BR><BR>
</P>
</BODY>
</HTML>